Bug 478593 - Review Request: fspy - Filesystem activity monitoring utility
Review Request: fspy - Filesystem activity monitoring utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 12:57 EST by Fabian Affolter
Modified: 2009-01-23 21:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-01 12:57:33 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/fspy.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/fspy-0.1.0-1.fc9.src.rpm

Project URL: http://mytty.org/fspy/

Description:
fspy is an easy to use linux filesystem activity monitoring tool which
is meant to be small, fast and to handle system resources conservative.
you can apply filters, use diffing and your own output format in order
to get the best results.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1028638

rpmlint output:
[fab@laptop024 i386]$ rpmlint fspy*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint fspy-0.1.0-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-01-02 05:48:09 EST
Package adheres to guidelines.

APPROVED
Comment 2 Fabian Affolter 2009-01-02 06:02:56 EST
New Package CVS Request
=======================
Package Name: fspy
Short Description: Filesystem activity monitoring utility
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 3 David Timms 2009-01-02 17:05:17 EST
Really minor suggestions:
- since the spec mostly has a double blank line between sections, you should do that also between build and install sections.

- The description could be improved (spelling and case at least). Perhaps:
Description:
fspy is an easy to use linux filesystem activity monitoring tool. It is
is small, fast and handles system resources conservatively. Features 
include being able to apply filters, use diffing and set a custom output
format in order to achieve the best results.

- License: Since neither the web site nor readme contains a license statement, perhaps this could be requested of the upstream (since each source file includes a GPLv2+ header).
Comment 4 Kevin Fenzi 2009-01-04 15:25:11 EST
Additionally, there is no need to BuildRequire: glibc-devel. Thats always pulled in by gcc, which is in the base set of packages you can assume are present. 

cvs done.
Comment 5 Fabian Affolter 2009-01-04 18:02:27 EST
(In reply to comment #3)
> Really minor suggestions:
> - since the spec mostly has a double blank line between sections, you should do
> that also between build and install sections.

fixed

> - The description could be improved (spelling and case at least). Perhaps:
> Description:
> fspy is an easy to use linux filesystem activity monitoring tool. It is
> is small, fast and handles system resources conservatively. Features 
> include being able to apply filters, use diffing and set a custom output
> format in order to achieve the best results.

changed
 
> - License: Since neither the web site nor readme contains a license statement,
> perhaps this could be requested of the upstream (since each source file
> includes a GPLv2+ header).

I will get in touch with upstream about the license issue.

(In reply to comment #4)
> Additionally, there is no need to BuildRequire: glibc-devel. Thats always
> pulled in by gcc, which is in the base set of packages you can assume are
> present. 

fixed

> cvs done.

thanks
Comment 6 Fedora Update System 2009-01-04 18:14:21 EST
fspy-0.1.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fspy-0.1.0-3.fc10
Comment 7 Fedora Update System 2009-01-04 18:14:24 EST
fspy-0.1.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fspy-0.1.0-3.fc9
Comment 8 Fedora Update System 2009-01-07 04:15:52 EST
fspy-0.1.0-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fspy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0087
Comment 9 Fedora Update System 2009-01-07 04:17:27 EST
fspy-0.1.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fspy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0099
Comment 10 Fedora Update System 2009-01-23 21:32:24 EST
fspy-0.1.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-23 21:34:28 EST
fspy-0.1.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.